## 项目简介
### 用户中心简介:
~~~
    该功能模块主要提供统一的文件上传和下载接口，用户调用接口返回文件的id,用户可以通过id进行文件的访问和下载等功能，
    文件统一保存到mongodb数据库中。
~~~

## 代码结构说明
~~~
└─cloud-upms-biz
    └─src
        └─main
            ├─java
            │  └─com
            │      └─lutao
            │          └─cloud
            │              └─admin
            │                  ├─config       配置信息
            │                  ├─controller   接口层
            │                  ├─handler      处理器
            │                  ├─job          定时任务
            │                  ├─logback      日志
            │                  ├─mapper       mapper映射
            │                  └─service      service接口层
            │                      └─impl     service实现层
            └─resources             
                ├─file
                └─mapper                       sql映射目录

~~~
## 构建指南
项目构建命令：
~~~
mvn clean package install 
~~~

## 部署指南
~~~
Docker运行文件DockerFile在 cloud-upms 根目录下
~~~


## 运行指南
项目运行命令
~~~
docker run cloud-upms
或
docker-compose up -d cloud-upms
~~~

## 注意事项
~~~
项目运行顺序 
#cloud-job
cloud-upms
cloud-auth

~~~
