package com.lutao.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MessageLevelEnum{

    MESSAGE_LEVEL_0(0,"普通"),
    MESSAGE_LEVEL_1(1,"重要"),
    MESSAGE_LEVEL_2(2,"紧急"),
    MESSAGE_DEAL_STATUS_0(0,"待处理"),
    MESSAGE_DEAL_STATUS_1(1,"1已处理");


    /**
     * 分类id
     */
    private final Integer level;

    /**
     * 服务模块
     */
    private final String levelDesc;

}
