package com.lutao.cloud.iot.mqtt.core.server.http.handler;

import org.tio.http.common.HttpRequest;
import org.tio.http.common.HttpResponse;

/**
 * http 处理器
 *

 */
@FunctionalInterface
public interface HttpHandler {

	/**
	 * 处理请求
	 *
	 * @param request HttpRequest
	 * @return 可以为null
	 * @throws Exception Exception
	 */
	HttpResponse apply(HttpRequest request) throws Exception;

}
