package com.lutao.cloud.admin.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class PhoneDTO{

    @ApiModelProperty("号码区域")
    @NotBlank(message = "请填写号码区域")
    private String phoneArea;

    @ApiModelProperty("手机号")
    @NotBlank(message = "请填写手机号")
    private String phoneNumber;
}
