package com.lutao.cloud.admin.api.dto;

import com.lutao.cloud.admin.api.entity.SysTenant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author guoyc
 * @version 1.0
 * @date 2021/11/23 10:31
 */
@ApiModel(description = "")
@Data
@EqualsAndHashCode(callSuper = true)
public class SysTenantDTO extends SysTenant {

    /**
     * 租户appId
     */
    @ApiModelProperty("租户appId")
    private String appId;

    /**
     * 租户secret
     */
    @ApiModelProperty("租户secret")
    private String appSecret;
    /**
     * 租户电话
     */
    @ApiModelProperty("租户电话")
    private String phone;

    /**
     * 租户email
     */
    @ApiModelProperty("租户email")
    private String email;

    /**
     * 租户类型 0 正式   1试用  默认1
     */
    @ApiModelProperty("租户类型 0 正式   1试用  默认1")
    private Integer tenantType = 1;


    /**
     * 最大用户数
     */
    @ApiModelProperty("最大用户数")
    private Integer maxUser;

    /**
     * 最大在线人数
     */
    @ApiModelProperty("最大在线人数")
    private Integer maxOnline;

    /**
     * 最大装机数
     */
    @ApiModelProperty("最大装机数")
    private Integer maxInstall;

}
