package com.lutao.cloud.admin.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
public class DataStatistics{

    /**
     * 日期
     */
    @ApiModelProperty("日期")
    private LocalDate dateTime;

    /**
     * 统计数量
     */
    @ApiModelProperty("统计数量")
    private Integer amount;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String remark;

    /**
     * 数据扩展id
     */
    @ApiModelProperty("数据扩展id")
    private Integer dataId;
}
