package com.lutao.cloud.admin.api.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
//@ColumnWidth(30)
public class UserExcelVO implements Serializable{

    private static final long serialVersionUID = 8855307536209774773L;

    /**
     * 主键ID
     */
    //@ExcelProperty("用户编号")
    private Integer userId;

    /**
     * 用户名
     */
    @NotBlank(message = "用户名不能为空")
    //@ExcelProperty("用户名")
    private String username;

    /**
     * 手机号
     */
    @NotBlank(message = "手机号不能为空")
    //@ExcelProperty("手机号")
    private String phone;

    /**
     * 部门名称
     */
    @NotBlank(message = "部门名称不能为空")
    //@ExcelProperty("部门名称")
    private String deptName;

    /**
     * 角色列表
     */
    @NotBlank(message = "角色不能为空")
    //@ExcelProperty("角色")
    private String roleNameList;

    /**
     * 锁定标记
     */
    //@ExcelProperty("锁定标记,0:正常,9:已锁定")
    private String lockFlag;

    /**
     * 创建时间
     */
    //@ExcelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 用户职位
     */
    //@ExcelProperty(value="用户职位")
    private String position;

    /**
     * 邮箱
     */
    //@ExcelProperty(value = "用户邮箱")
    private String email;

    /**
     * 昵称
     */
    //@ExcelProperty(value = "昵称")
    private String nickname;

    /**
     * 描述
     */
    //@ExcelProperty(value = "描述")
    private String description;
}
