package com.lutao.cloud.consume.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.entity.CollectLog;

/**
 * 收集日志服务
 *
 * @author yx
 * @date 2023/08/21
 */
public interface ConsumerLogService extends IService<CollectLog> {


    /**
     * 保存收集日志
     *
     * @param requestId     请求id
     * @param appId         应用程序id
     * @param command       命令
     * @param tableName     表名
     * @param consumeNumber 消耗数量
     * @return int
     */
    boolean saveConsumeLog(String requestId,String appId,String command,Integer consumeNumber,String tableName);
}
