package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 基本参数
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "基本参数")
@Data
@Accessors(chain = true)
public class BaseParam implements Serializable {
    private static final long serialVersionUID = -4493483565062198122L;

    @ApiModelProperty(value = "油商id")
    private String appId;

    @ApiModelProperty(value = "平台id")
    private String platformId;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "年份")
    private String year;

    @ApiModelProperty(value = "日期")
    private String date;


}
