package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value = "报警统计")
public class AlarmStatisticsVO implements Serializable {
    private static final long serialVersionUID = -6422018952268732431L;

    @ApiModelProperty(value = "油商名称AND报警数量")
    List<TagProcessAlarmByUnit> tagProcessAlarmByUnitList;

    @ApiModelProperty(value = "报警数量")
    List<AlarmStatisticByAppName> alarmNumberList;
}
