package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 五四小证到期预警
 *
 * @author yx
 * @date 2023/07/25
 */
@ApiModel(value = "五四小证到期预警VO")
@Data
@Accessors(chain = true)
public class CertificateExpireWarningVO implements Serializable {
    private static final long serialVersionUID = -235138849722252942L;

    @ApiModelProperty(value = "逾期人数")
    private Long expireCount;

    @ApiModelProperty(value = "即将到期人数{即将到期时间为3天}")
    private Long willExpireCount;

    @ApiModelProperty(value = "资质异常上岛人数")
    private Long abnormalCount;

    @ApiModelProperty(value = "五小证总数")
    private Long allCount;
}
