package com.lutao.cloud.oil.pojo.vo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@ApiModel(value = "承包商统计")
@Data
@Accessors(chain = true)
public class ContractorListVO implements Serializable {
    private static final long serialVersionUID = -6188691283116435719L;

    @ApiModelProperty(value = "承包商统计数量")
    private Integer contractorNumber;

    @ApiModelProperty(value = "承包商列表")
    private IPage<ContractorStatisticVO> contractorStatisticVOIPage;
}
