package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiOperation(value = "应急预案列表VO",notes = "应急预案列表VO")
@Data
public class EmergencyPlanVO implements Serializable {

    private static final long serialVersionUID = 4310787704081850851L;

    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 备案日期
     */
    @ApiModelProperty(value="备案日期")
    private LocalDate recordDate;

    /**
     * 下次备案时间
     */
    @ApiModelProperty(value="下次备案时间")
    private LocalDate nextrecordDate;

    /**
     * 备案编号
     */
    @ApiModelProperty(value="备案编号")
    private String recordCode;

    /**
     * 备案机关
     */
    @ApiModelProperty(value="备案机关")
    private String personnelLifeboatQuantity;

    /**
     * 应急预案附件
     */
    @ApiModelProperty(value="应急预案附件")
    private String emergencyplanFile;

    /**
     * 应用id
     */
    @ApiModelProperty(value="应用id")
    private String appId;

    @ApiModelProperty(value="油商名称")
    private String appName;

    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;

    @ApiModelProperty(value="油气田名称")
    private String oilGasName;

    @ApiModelProperty(value="作业公司")
    private String operatingCompany;

}
