package com.lutao.cloud.oil.pojo.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 四季度整改数量bo
 *
 * @author yx
 * @date 2025/01/02
 */
@Data
public class FourQuartersRectificationBO implements Serializable {
    private static final long serialVersionUID = 6659470503816781917L;

    /**
     * 年份
     */
    private String year;

    /**
     * 季度
     */
    private Integer quarter;

    /**
     * 整改数量
     */
    private Integer rectifiedCount;

    /**
     * 总计数
     */
    private Integer totalCount;

    /**
     * 整改率
     */
    private Double rectifyRate;
}
