package com.lutao.cloud.oil.pojo.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 四季度隐患整改情况vo
 *
 * @author yx
 * @date 2025/01/02
 */
@Data
@Accessors(chain = true)
public class FourQuartersRectificationVO implements Serializable {
    private static final long serialVersionUID = 1783237967955483786L;

    /**
     * 总数
     */
    private String totalCount;

    /**
     * 总整改比率
     */
    private Double rectifiedCountRate;

    /**
     * 第一季度
     */
    private String firstQuarter;

    /**
     * 第一季度整改率
     */
    private Double firstQuarterRate;

    /**
     * 第二季度
     */
    private String secondQuarter;

    /**
     * 第二季度整改率
     */
    private Double secondQuarterRate;

    /**
     * 第三季度
     */
    private String thirdQuarter;

    /**
     * 第三季度整改率
     */
    private Double thirdQuarterRate;

    /**
     * 第四季度
     */
    private String fourthQuarter;

    /**
     * 第四季度整改率
     */
    private Double fourthQuarterRate;
}
