package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "隐患数量VO")
public class HiddenDangerNumberVO implements Serializable {

    private static final long serialVersionUID = -150828313876130712L;

    @ApiModelProperty(value = "低风险隐患数量",hidden = true)
    private Integer lowRiskNumber;

    @ApiModelProperty(value = "低风险已整治隐患数量",hidden = true)
    private Integer lowRiskRectifyNumber;

    @ApiModelProperty(value = "中风险隐患数量",hidden = true)
    private Integer mediumRiskNumber;

    @ApiModelProperty(value = "中风险已整治隐患数量",hidden = true)
    private Integer mediumRiskRectifyNumber;

    @ApiModelProperty(value = "高风险隐患数量",hidden = true)
    private Integer highRiskNumber;

    @ApiModelProperty(value = "高风险已整治隐患数量",hidden = true)
    private Integer highRiskRectifyNumber;

    @ApiModelProperty(value = "较高风险隐患数量",hidden = true)
    private Integer mediumHighRiskNumber;

    @ApiModelProperty(value = "较高风险已整治隐患数量",hidden = true)
    private Integer mediumHighRiskRectifyNumber;

    @ApiModelProperty(value = "低风险平台隐患整改数量占比")
    private String lowRiskRectifyRate;

    @ApiModelProperty(value = "中风险平台隐患整改数量占比")
    private String mediumRiskRectifyRate;

    @ApiModelProperty(value = "高风险平台隐患整改数量占比")
    private String highRiskRectifyRate;

    @ApiModelProperty(value = "较高风险平台隐患整改数量占比")
    private String mediumHighRiskRectifyRate;

    @ApiModelProperty(value = "平台隐患整改完成率")
    private String platformRectifyRate;
}
