package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 高风险作业
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "高风险作业类型统计")
@Data
@Accessors(chain = true)
public class HighRiskWorkVO implements Serializable {
    private static final long serialVersionUID = 6291277680156719993L;

    @ApiModelProperty(value = "作业类型")
    private String workType;

    @ApiModelProperty(value = "作业次数")
    private Integer workNumber;

    @ApiModelProperty(value = "作业人数合计（人/次）")
    private Integer workPersonNumber;
}
