package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * 预警监测-监测点位统计
 *
 * @author yx
 * @date 2024/07/24
 */
@ApiModel(value = "预警监测-监测点位统计")
@Data
@Accessors(chain = true)
public class MonitorPointVO implements Serializable {
    private static final long serialVersionUID = -8489456941220026031L;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "监测点位数量")
    private Long pointNum;
}
