package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "备案情况")
public class RecordManageVO implements Serializable {
    private static final long serialVersionUID = -2626717019308252703L;

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="设施名称")
    private String facilityName;

    @ApiModelProperty(value="备案编号")
    private String filingCode;

    @ApiModelProperty(value="备案时间")
    private LocalDate filingTime;

    @ApiModelProperty(value="备案申请资料")
    private String filingFile;

    @ApiModelProperty(value="平台名称")
    private String platformName;

    @ApiModelProperty(value="油商名称")
    private String appName;

    @ApiModelProperty(value="油气田名称")
    private String oilGasName;

    @ApiModelProperty(value="作业公司")
    private String operatingCompany;


}
