package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 报警闭环 报警点位数量
 *
 * @author yx
 * @date 2024/01/03
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "报警闭环 报警点位数量")
public class TagAlarmClmPointVO implements Serializable {
    private static final long serialVersionUID = 7384284050062078926L;

    @ApiModelProperty(value = "报警类型")
    private String tagType;

    @ApiModelProperty(value = "报警点位数量")
    private Long alarmPointNumber;
}
