package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 近1个月关键参数检测预警数据趋势
 *
 * @author yx
 * @date 2023/08/09
 */
@Api(value = "近1个月关键参数检测预警数据趋势")
@Data
@Accessors(chain = true)
public class TagAlarmTrendVO implements Serializable {
    private static final long serialVersionUID = 1339504660435406921L;

    @ApiModelProperty(value = "报警日期")
    private String alarmDate;

    @ApiModelProperty(value = "报警次数")
    private Long alarmCount;
}
