

package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.vo.AppPlatformNumberVO;
import com.lutao.entity.AppInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 应用app信息
 *
 * @author guoyc
 * @date 2023-07-20 10:56:48
 */
@Mapper
public interface AppInfoMapper extends CloudBaseMapper<AppInfo> {

    /**
     * 油商下平台数量
     *
     * @return {@link List}<{@link AppPlatformNumberVO}>
     */
    List<AppPlatformNumberVO> appPlatformNumber();
}
