

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.EmergencyPlanParam;
import com.lutao.cloud.oil.pojo.vo.EmergencyPlanVO;
import com.lutao.entity.EmergencyRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 应急预案备案信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Mapper
public interface EmergencyRecordMapper extends CloudBaseMapper<EmergencyRecord> {

    IPage<EmergencyPlanVO> getEmergencyPlanList(Page page, @Param("param") EmergencyPlanParam param);
}
