package com.lutao.cloud.oil.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.entity.GasParametersTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface GasParametersTagMapper extends CloudBaseMapper<GasParametersTag> {
    /**
     * 选择计数与平台
     *
     * @param param 参数
     * @return {@link Long }
     * @author yx
     * @date 2024/10/24
     */

    Long selectCountWithPlatform(@Param("param") BaseParam param);
}
