

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.vo.ScreenDisplayMattersVO;
import com.lutao.entity.MattersManager;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 重大事项报告信息数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Mapper
public interface MattersManagerMapper extends CloudBaseMapper<MattersManager> {


    /**
     * 安全风险管控-重大事项报告
     *
     * @param page  页面
     * @param param 参数
     * @return {@link IPage}<{@link ScreenDisplayMattersVO}>
     */
    IPage<ScreenDisplayMattersVO> getMattersManagers(Page page, @Param("param") BaseParam param);
}
