package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.MinisteriaSupervisionDetailParam;
import com.lutao.cloud.oil.pojo.vo.MinisteriaSupervisionDetailVO;
import com.lutao.entity.MinisteriaSupervisionDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MinisteriaSupervisionDetailMapper extends CloudBaseMapper<MinisteriaSupervisionDetail> {
    /**
     * 部级督导详情分页
     *
     * @param param 参数
     * @return {@link IPage}<{@link MinisteriaSupervisionDetailVO}>
     */
    IPage<MinisteriaSupervisionDetailVO> getMinisteriaSupervisionDetailPage(Page page, @Param("param") MinisteriaSupervisionDetailParam param);
}
