package com.lutao.cloud.admin.mapper;

import com.lutao.cloud.admin.api.entity.SysRole;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *

 * @since 2017-10-29
 */
@Mapper
public interface SysRoleMapper extends CloudBaseMapper<SysRole>{

	/**
	 * 通过用户ID，查询角色信息
	 * @param userId
	 * @return
	 */
	List<SysRole> listRolesByUserId(Integer userId);

}
