package com.lutao.cloud.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.admin.api.entity.SysTenant;
import com.lutao.cloud.admin.api.vo.TenantVO;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 租户
 *

 * @date 2019-05-15 15:55:41
 */
@Mapper
public interface SysTenantMapper extends CloudBaseMapper<SysTenant>{

    IPage<TenantVO> getTenantVOPage(Page page, @Param("query") TenantVO query);

}
