package com.lutao.cloud.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.admin.api.entity.SysCompany;

import java.util.List;

/**
 * 
 *
 * @author guoyc
 * @date 2022-05-30 10:00:45
 */
public interface SysCompanyService extends IService<SysCompany>{

    /**
     * 根据名字模糊查询企业信息
     * @param companyName
     * @return
     */
    List<SysCompany> getSysCompanyListByName(String companyName);

    /**
     * 通过id获取企业信息
     * @param companyId
     * @return
     */
    SysCompany getSysCompanyById(Integer companyId);

}
