
package com.lutao.cloud.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.admin.api.entity.SysDict;
import com.lutao.cloud.common.core.util.MessageInfo;

/**
 * 字典表
 *

 * @date 2019/03/19
 */
public interface SysDictService extends IService<SysDict>{

	/**
	 * 根据ID 删除字典
	 * @param id
	 * @return
	 */
	MessageInfo<Boolean> removeDict(Integer id);

	/**
	 * 更新字典
	 * @param sysDict 字典
	 * @return
	 */
	MessageInfo<Boolean> updateDict(SysDict sysDict);

}
