## 项目简介
~~~
介绍项目主要功能：cloud-common 系统服务常用封装工具模块

~~~
## 代码结构说明
~~~
├─cloud-common-core         系统配置、系统常量、异常处理、以及其他设置
├─cloud-common-data         数据库链接封装
├─cloud-common-datasource   数据库资源封装
├─cloud-common-excel        excel操作封装(easyExcel)
├─cloud-common-feign        服务调用封装
├─cloud-common-gateway      网关封装
├─cloud-common-gray         灰度路由
├─cloud-common-job          定时任务
├─cloud-common-log          日志
├─cloud-common-security     安全工具类
├─cloud-common-sequence     分布式发号器
├─cloud-common-swagger      接口文档
├─cloud-common-transaction  分布式事务
├─cloud-common-xss          xss 安全过滤插件 基于 JSOUP
└─cloud-upms-api            通用用户权限管理系统公共api模块
~~~
## 构建指南
项目构建命令：
~~~
mvn clean package install 
~~~

## 部署指南
~~~
作为公共jar使用，构建后引用即可
~~~


## 运行指南
项目运行命令
~~~
无
~~~

## 注意事项
~~~
无
~~~
