package com.lutao.cloud.common.core.constant;

/**
 * 租户配置默认值
 * tenantConfig 默认值
 */
public interface TenantConfigConstants{

	/**
	 * 是否可以修改配置
	 */
	Boolean CONFIG_ENABLE  = Boolean.TRUE;

	/**
	 * 最大用户数
	 */
	Integer MAX_USER = 1000;

	/**
	 * 最大在线用户数
	 */
	Integer MAX_ONLINE = 1000;

	/**
	 * 最大装机量
	 */
	Integer MAX_INSTALL = 1000;

	/**
	 * 0 正式   1试用
	 */
	Integer TENANT_TYPE = 0;


}
