package com.lutao.cloud.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 要素类型
 */
@Getter
@AllArgsConstructor
public enum ElementTypeConstans{

	/**
	 * 0标签  1 单行文本  2 多行文本  3 下拉单选  4 下拉多选  5上传文件  6单选框   7多选框
	 */
	ELEMENT_LABLE(0,"标签"),
	ELEMENT_TEXT(1,"单行文本"),
	ELEMENT_TEXT_AREA(2,"多行文本"),
	ELEMENT_SELECT(3,"下拉单选"),
	ELEMENT_MULTIPLE_SELECT(4,"下拉多选"),
	ELEMENT_UPLOAD_FILE(5,"上传文件"),
	ELEMENT_RADIO(6,"单选框"),
	ELEMENT_CHECK_BOX(7,"多选框"),
	ELEMENT_CHECK_SCORE(8,"评分");

	/**
	 * 类型
	 */
	private final Integer type;

	/**
	 * 描述
	 */
	private final String desc;


}
