package com.lutao.cloud.common.data.mqtt;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**

 * @date 2019-05-16
 * <p>
 * 字典类型
 */
@Getter
@AllArgsConstructor
public enum MqttTopicEnum {


	USER_DISCONNECT_TOPIC("/accident/disconnect/#", " 遗嘱消息 /accident/disconnect"),
	USER_ROOM_TOPIC("/accident/room/%s", "房间信息 /accident/room/${roomId}"),
	USER_TOPIC("/cloud/message/user/%s", "用户信息 /cloud/message/user/${userId}"),
	USER_MESSAGE_TOPIC("accident/sys/message", "系统信息 accident/sys/message");


	/**
	 * 类型
	 */
	private String topic;

	/**
	 * 描述
	 */
	private String description;

}
