package com.lutao.cloud.admin.api.dto;

import com.lutao.cloud.admin.api.entity.SysPosition;
import com.lutao.cloud.admin.api.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**

 * @date 2017/11/11
 */
@ApiModel(description = "")
@Data
public class UserInfo implements Serializable{

	private static final long serialVersionUID = 6276998634107122791L;

	/**
	 * 用户基本信息
	 */
	@ApiModelProperty("用户基本信息")
	private SysUser sysUser;

	/**
	 * 权限标识集合
	 */
	@ApiModelProperty("权限标识集合")
	private String[] permissions;

	/**
	 * 角色集合
	 */
	@ApiModelProperty("角色集合")
	private Integer[] roles;

	/**
	 * 职位信息
	 */
	@ApiModelProperty("职位信息")
	private List<SysPosition> sysPosition;


}
