package com.lutao.cloud.consume.mapper;

import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.consume.vo.TagTypeVO;
import com.lutao.entity.ProcessParameterTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ProcessParameterTagMapper extends CloudBaseMapper<ProcessParameterTag> {


    /**
     * 根据code获取参数类型
     *
     * @param tagCode 标签代码
     * @return {@link TagTypeVO}
     */
    TagTypeVO getTagTypeByCode(@Param("tagCode") String tagCode);
}
