package com.lutao.cloud.oil.pojo.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@ApiModel(value = "关键设备工况状态监测报警")
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class EquipmentWorkStatusAlarmParam extends BaseParam{
    private static final long serialVersionUID = -7548013930689284512L;

    @ApiModelProperty(value = "运行状态 0关停；1 启动")
    private Integer workStatus;

    @ApiModelProperty(value = "是否显示单元关断 0不显示；1显示")
    private Integer showUnitClose;

    @ApiModelProperty(value = "上报开始时间")
    private LocalDateTime collectStartTime;

    @ApiModelProperty(value = "上报结束时间")
    private LocalDateTime collectEndTime;

    @ApiModelProperty(value = "关断等级：1.未关断，2.单元关断，3.生产关断，4.火气关断，5.平台关断")
    private String toLevle;
}
