package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 油商及平台数量列表
 *
 * @author yx
 * @date 2023/08/17
 */
@ApiModel(value = "油商及平台数量列表")
@Data
@Accessors(chain = true)
public class AppPlatformNumberVO implements Serializable {
    private static final long serialVersionUID = -8406556894399209732L;

    @ApiModelProperty(value = "油商名称")
    private String appName;

    @ApiModelProperty(value = "平台数量")
    private String platformNumber;
}
