package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 承包商统计
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "承包商列表VO")
@Data
@Accessors(chain = true)
public class ContractorStatisticVO implements Serializable {
    private static final long serialVersionUID = 5320926358603106908L;

    @ApiModelProperty(value = "承包商名称")
    private String contractorName;

    @ApiModelProperty(value = "单位")
    private String appName;

    @ApiModelProperty(value = "油气田")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司")
    private String operationCompany;

    @ApiModelProperty(value = "平台名称")
    private String areaName;

    @ApiModelProperty(value = "承包商人数")
    private Integer contractorPersonNumber;
}
