package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 专业设备定检和年检数量统计
 *
 * @author yx
 * @date 2023/07/29
 */
@ApiModel(value = "专业设备定检和年检数量统计")
@Data
@Accessors(chain = true)
public class EquipmentInspectStatisticsVO implements Serializable {
    private static final long serialVersionUID = -4603022048797507545L;

    @ApiModelProperty(value = "近3个月需年检数量")
    private Long threeMonthInspectAnnuallyNumber;

    @ApiModelProperty(value = "已年检")
    private Long inspectAnnuallyNumber;

    @ApiModelProperty(value = "即将过期年检数量")
    private Long willExpireYearInspectNumber;

    @ApiModelProperty(value = "已经过期年检数量")
    private Long expireYearInspectNumber;

    @ApiModelProperty(value = "近3个月需定检数量")
    private Long threeMonthPeriodicalInspection;

    @ApiModelProperty(value = "已定检")
    private Long periodicalInspection;

    @ApiModelProperty(value = "即将过期定检数量")
    private Long willExpirePeriodicalInspect;

    @ApiModelProperty(value = "已经过期定检数量")
    private Long expirePeriodicalInspectNumber;


}
