package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 专业设备名称和数量
 *
 * @author yx
 * @date 2023/07/28
 */
@ApiModel(value = "专业设备名称和数量")
@Data
@Accessors(chain = true)
public class EquipmentNameAndNumberVO implements Serializable {
    private static final long serialVersionUID = -7521431321337336879L;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "平台设备数量")
    private Long equipmentNumber;
}
