package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "弃井报告信息")
public class GiveupMineReportVO implements Serializable {
    private static final long serialVersionUID = -4293443902327467409L;


    @ApiModelProperty(value="主键")
    private Integer id;


    /**
     * 井编码
     */
    @ApiModelProperty(value="井编码")
    private String wellCode;

    /**
     * 提出时间
     */
    @ApiModelProperty(value="提出时间")
    private LocalDate submitTime;

    /**
     * 弃井前报告
     */
    @ApiModelProperty(value="弃井前报告")
    private String submitReport;

    /**
     * 完成时间
     */
    @ApiModelProperty(value="完成时间")
    private LocalDate completeTime;

    /**
     * 弃井后报告
     */
    @ApiModelProperty(value="弃井后报告")
    private String completeReprot;

    /**
     * 提交人
     */
    @ApiModelProperty(value="提交人")
    private String reportPerson;


    /**
     * 平台编码
     */
    @ApiModelProperty(value="平台编码")
    private String platformCode;

    /**
     * 平台名称
     */
    @ApiModelProperty(value="平台名称")
    private String platformName;


    /**
     * 油商名称
     */
    @ApiModelProperty(value="油商名称")
    private String appName;

    /**
     * 油气田名称
     */
    @ApiModelProperty(value="油气田名称")
    private String oilGasName;

    /**
     * 作业公司
     */
    @ApiModelProperty(value="作业公司")
    private String operatingCompany;



}
