package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value = "高风险作业按照类型统计图")
public class HighRiskCountStatisticsVO implements Serializable {

    private static final long serialVersionUID = -6327577722263040040L;

   @ApiModelProperty(value = "作业总次数")
    private Long workTotal;


   @ApiModelProperty(value = "作业列表")
    List<HighRiskCountByTypeVO> highRiskCountByTypeVOS;
}
