package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@ApiModel(value = "平台VO")
public class PlatformInfoVO implements Serializable {

    private static final long serialVersionUID = -6588734769680989225L;

    @ApiModelProperty(value = "原始id")
    private String platformCode;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "作业公司")
    private String operatingCompany;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;
}
