package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "问题隐患整改情况--饼状图VO")
@Accessors(chain = true)
public class ProblemCheckPieVO implements Serializable {
    private static final long serialVersionUID = 6225133729905189003L;

    @ApiModelProperty(value = "已整治数量")
    private Integer rectifyNumber;

    @ApiModelProperty(value = "以整治占比")
    private String rectifyProportion;

    @ApiModelProperty(value = "未整治数量")
    private Integer unRectifyNumber;

    @ApiModelProperty(value = "未整治占比")
    private String unRectifyProportion;
}
