package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "三家视频在线率VO")
@Accessors(chain = true)
public class ScreenVideoNumberOnlineRateVO implements Serializable {
    private static final long serialVersionUID = -570640585362985257L;

    /**
     * 视频在线率
     */
    @ApiModelProperty(value = "视频在线率")
    private Float videoOnlineRate;

    /**
     * 油商名称
     */
    @ApiModelProperty(value = "油商名称")
    private String appName;

}
