package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 视频数量VO
 *
 * @author yx
 * @date 2024/01/08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "视频数量VO")
public class ScreenVideoNumberVO implements Serializable {
    private static final long serialVersionUID = -1564525016105499364L;

    /**
     * 视频总数
     */
    @ApiModelProperty(value = "视频总数")
    private Long videoTotalNumber;

    /**
     * 油商
     */
    @ApiModelProperty(value = "油商")
    private String appName;
}
