package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 海上固定式平台人员定员和救生装备情况
 *
 * @author yx
 * @date 2023/07/31
 */
@ApiModel(value = "海上固定式平台人员定员和救生装备情况")
@Data
@Accessors(chain = true)
public class SeaPlatformPersonAndEquipmentVO implements Serializable {
    private static final long serialVersionUID = -1280926873810724696L;

    /**
     * 生活区可供生活人数
     */
    @ApiModelProperty(value = "生活区可供生活人数")
    private Integer peopleLivingNumber;


    /**
     * 救生艇
     */
    @ApiModelProperty(value = "救生艇数量")
    private Integer lifeboatQuantity;

    /**
     * 救生筏
     */
    @ApiModelProperty(value = "救生筏数量")
    private Integer lifeRaftQuantity;
}
