package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 安全风险评估vo
 *
 * @author yx
 * @date 2023/07/26
 */
@ApiModel(value = "安全风险评估")
@Data
@Accessors(chain = true)
public class SecurityRiskAssessmentVO implements Serializable {
    private static final long serialVersionUID = -1745479906442038244L;

    @ApiModelProperty(value = "油商")
    private String appName;

    @ApiModelProperty(value = "海上平台(设施)")
    private String platform;

    @ApiModelProperty(value = "油气田名称")
    private String oilGasName;

    @ApiModelProperty(value = "作业公司名称")
    private String operatingCompany;

    @ApiModelProperty(value = "风险级别")
    private String riskLevel;

    @ApiModelProperty(value = "安全风险评估表名称")
    private String riskAssessmentName;

    @ApiModelProperty(value = "评估编码")
    private String evaluationCode;
}
