package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel(value = "关键工艺检测预警VO")
public class TagProcessAlarmVO implements Serializable {

    private static final long serialVersionUID = 8093222360960536071L;

    @ApiModelProperty(value = "油商名称AND报警数量")
    List<TagProcessAlarmByUnit> tagProcessAlarmByUnitList;

    @ApiModelProperty(value = "温度报警数量")
    private Long temperatureAlarmNumber;

    @ApiModelProperty(value = "温度销警数量")
    private Long temperatureCancelAlarmNumber;

    @ApiModelProperty(value = "压力报警数量")
    private Long pressureAlarmNumber;

    @ApiModelProperty(value = "压力销警数量")
    private Long pressureCancelAlarmNumber;

    @ApiModelProperty(value = "液位报警数量")
    private Long liquidLevelAlarmNumber;

    @ApiModelProperty(value = "液位销警数量")
    private Long liquidLevelCancelAlarmNumber;

}
