package com.lutao.cloud.oil.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 视频设备信息树vo
 *
 * @author yx
 * @date 2023/10/10
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "视频设备信息树vo")
public class VideoEquipmentInfoTreeVO implements Serializable {

    private static final long serialVersionUID = 5712162668679449376L;

    //油商
    @ApiModelProperty(value = "油商")
    private String appName;

    //children
    @ApiModelProperty(value = "平台--->摄像头")
    private List<PlatformVideoVO> platformVideoVOS;
}
