

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.FilingSituationParam;
import com.lutao.cloud.oil.pojo.vo.RecordManageVO;
import com.lutao.entity.RecordManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 备案管理数据
 *
 * @author guoyc
 * @date 2023-07-20 10:57:59
 */
@Mapper
public interface RecordManageMapper extends CloudBaseMapper<RecordManage> {

    IPage<RecordManageVO> getRecordManageList(Page page, @Param("param") FilingSituationParam param);
}
