

package com.lutao.cloud.oil.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import com.lutao.cloud.oil.pojo.param.EquipmentWorkStatusAlarmParam;
import com.lutao.cloud.oil.pojo.vo.EquipmentWorkStatusAlarmVO;
import com.lutao.entity.WorkStaus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 
 *
 * @author guoyc
 * @date 2023-07-20 10:58:39
 */
@Mapper
public interface WorkStausMapper extends CloudBaseMapper<WorkStaus> {


    /**
     * 关键设备工况状态监测报警
     *
     * @param page  页面
     * @param param 参数
     * @return {@link IPage}<{@link EquipmentWorkStatusAlarmVO}>
     */
    IPage<EquipmentWorkStatusAlarmVO> getEquipmentWorkStatusAlarm(Page page, @Param("param") EquipmentWorkStatusAlarmParam param);
}
