package com.lutao.cloud.oil.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.common.core.util.MessageInfo;
import com.lutao.cloud.oil.pojo.param.BaseParam;
import com.lutao.cloud.oil.pojo.param.DivisionInspectionDetailParam;
import com.lutao.cloud.oil.pojo.vo.DivisionInspectionDetailVO;
import com.lutao.cloud.oil.pojo.vo.ProblemRectifyProportionVO;
import com.lutao.entity.DivisionInspectionDetail;

public interface DivisionInspectionDetailService extends IService<DivisionInspectionDetail> {
    /**
     * 分部检查
     *
     * @param param 参数
     * @return {@link MessageInfo}<{@link IPage}<{@link DivisionInspectionDetailVO}>>
     */
    MessageInfo<IPage<DivisionInspectionDetailVO>> getDivisionInspectionDetailPage(Page page, DivisionInspectionDetailParam param);

    /**
     * 分部检查隐患整改完成图
     *
     * @param param 参数
     * @return {@link MessageInfo}<{@link ProblemRectifyProportionVO}>
     */
    MessageInfo<ProblemRectifyProportionVO> getDivisionInspectionDetailChart(BaseParam param);
}
