package com.lutao.cloud.oil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 业务常量
 * @author: vincent.zhao
 * @create: 2021-12-03 15:30
 **/
public class BusiConstant {

    // 应急部资源池信息 start
    /**
     * 应急部资源池信息
     * 应用-预警中心
     * 应用代码-01
     */
    public static String APP_USER_NAME_01 = "ad1d7c9694ed4258ad3ef00b7599bdc1"; // client_id
    public static String APP_PASSWORD_01 = "26f2d51f3c5a4253aff75302c0d8a844"; // client_secret

    // 对比订阅
    public static String YJZX_DZ_TASK_ID = "YJZX-DZ-DEV013"; // 地震对比订阅id；唯一标识
    public static String YJZX_DZ_RULE_ID = "YJZX-DZ-DEV013-R"; // 地震对比订阅规则id；唯一标识

    /**
     * 应急部资源池信息
     * 应用-互联网+执法系统
     * 应用代码-02
     */
//    public static String APP_USER_NAME_02 = "b26bc16dbf784d9f992b6fc9baddd2f4"; // client_id
//    public static String APP_USER_NAME_02 = "dac02cefbb1b407e9cf3420cd0303880"; // client_secret

    /**
     * 应用的用户名密码常量
     */
    public static Map<String, String> APP_USER_NAME_PASSWORD = new HashMap() {{
        put(APP_USER_NAME_01, APP_PASSWORD_01);
//        put(APP_USER_NAME_02, APP_USER_NAME_02);
    }};

    /**
     * 通用查询V1接口
     */
    public static String QUERY_INFO_URL = "/service/api/general/data/queryInfo";
    public static String QUERY_INFO_V2_URL = "/service/api/general/data/queryInfo?version=v2";
    /**
     * 地震速报系统_地震速报实时信息（数据服务_获取比对订阅数据）
     */
    public static String COMPARE_SUBSCRIBE_DATA = "/service/api/general/subscription/data/compareSubscribeData";

    public static String IP_59_255_61_5 = "59.255.61.5"; // ip
    public static String IP_59_255_61_6 = "59.255.61.6"; // ip
    public static String IP_10 = "10.18.17.85"; // ip
    public static String PORT_9090 = "9090"; // 端口

    public static String TAKEN_URL = "/oauth/token"; // token URL

    public static String DATA_SEND_FLAG = "110000000001"; // 数据发送方标识
    public static String DATA_RECEIVE_FLAG = "110000000001"; // 数据接收方标识

    /**
     * 资源池登录后token
     */
    public static volatile String YJBZYC_TOKEN_59_255_61_5 = "";
    public static volatile String YJBZYC_TOKEN_59_255_61_6 = "";
    public static volatile String YJBZYC_TOKEN_10 = "";
    // 应急部资源池信息 end


    /**
     * 省代码和简称
     */
    public static Map<String, String> ARCODEMAP = new HashMap<>();

    /**
     * 强降雨企业列表
     */
    public volatile static List<String> QIANG_JIANG_YU_COM_LIST = new ArrayList<>();

    /**
     * 是否生产环境标识
     */
    public static Boolean PRODUCTION_ENVIRONMENT = false;


}
