package com.lutao.cloud.admin.mapper;

import com.lutao.cloud.admin.api.entity.SysUserRole;
import com.lutao.cloud.common.data.datascope.CloudBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *

 * @since 2017-10-29
 */
@Mapper
public interface SysUserRoleMapper extends CloudBaseMapper<SysUserRole>{

	/**
	 * 根据用户Id删除该用户的角色关系
	 * @param userId 用户ID
	 * @return boolean
	 * @author 寻欢·李
	 * @date 2017年12月7日 16:31:38
	 */
	Boolean deleteByUserId(@Param("userId") Integer userId);

}
