
package com.lutao.cloud.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lutao.cloud.admin.api.entity.SysDictItem;
import com.lutao.cloud.common.core.util.MessageInfo;

/**
 * 字典项
 *

 * @date 2019/03/19
 */
public interface SysDictItemService extends IService<SysDictItem>{

	/**
	 * 删除字典项
	 * @param id 字典项ID
	 * @return
	 */
	MessageInfo removeDictItem(Integer id);

	/**
	 * 更新字典项
	 * @param item 字典项
	 * @return
	 */
	MessageInfo<Boolean> updateDictItem(SysDictItem item);

}
